# Class DocumentFooterCodeMining

java.lang.Object
org.eclipse.jface.text.codemining.AbstractCodeMining
org.eclipse.jface.text.codemining.DocumentFooterCodeMining

All Implemented Interfaces:
  `ICodeMining`

public class DocumentFooterCodeMining extends AbstractCodeMining
A code mining rendered at the start of the line, located at the very end of the document.

Since:
  3.28

## Constructor Summary

Constructors
Constructor
Description
`DocumentFooterCodeMining(IDocument document, ICodeMiningProvider provider, Consumer<MouseEvent> action)`

## Method Summary

Modifier and Type
Method
Description
`Point`
`draw(GC gc, StyledText textWidget, Color color, int x, int y)`
Draw the `AbstractCodeMining.getLabel()` of mining with gray color.

### Methods inherited from class AbstractCodeMining

`dispose, doResolve, getAction, getLabel, getPosition, getProvider, isResolved, resolve, setLabel`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ICodeMining

`getMouseHover, getMouseMove, getMouseOut`

## Constructor Details

### DocumentFooterCodeMining

public DocumentFooterCodeMining(IDocument document, ICodeMiningProvider provider, Consumer<MouseEvent> action)

## Method Details

### draw

public Point draw(GC gc, StyledText textWidget, Color color, int x, int y)
Description copied from class: `AbstractCodeMining`
Draw the `AbstractCodeMining.getLabel()` of mining with gray color. User can override this method to draw anything.

Specified by:
  `draw` in interface `ICodeMining`
Overrides:
  `draw` in class `AbstractCodeMining`
Parameters:
  `gc` - the graphics context
  `textWidget` - the text widget to draw on
  `color` - the color of the line
  `x` - the x position of the annotation
  `y` - the y position of the annotation
Returns:
  the size of the draw of mining.